Package org.apache.wiki.spi

# Class SessionSPIDefaultImpl

java.lang.Object
org.apache.wiki.spi.SessionSPIDefaultImpl

All Implemented Interfaces:
  `org.apache.wiki.api.spi.SessionSPI`

public class SessionSPIDefaultImpl extends Object implements org.apache.wiki.api.spi.SessionSPI
Default implementation for `SessionSPI`

See Also:
  - `SessionSPI`

## Constructor Summary

Constructors
Constructor
Description
`SessionSPIDefaultImpl()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.wiki.api.core.Session`
`find(org.apache.wiki.api.core.Engine engine, jakarta.servlet.http.HttpServletRequest request)`
`org.apache.wiki.api.core.Session`
`guest(org.apache.wiki.api.core.Engine engine)`
`void`
`remove(org.apache.wiki.api.core.Engine engine, jakarta.servlet.http.HttpServletRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SessionSPIDefaultImpl

public SessionSPIDefaultImpl()

## Method Details

### remove

public void remove(org.apache.wiki.api.core.Engine engine, jakarta.servlet.http.HttpServletRequest request)

Specified by:
  `remove` in interface `org.apache.wiki.api.spi.SessionSPI`

### find

public org.apache.wiki.api.core.Session find(org.apache.wiki.api.core.Engine engine, jakarta.servlet.http.HttpServletRequest request)

Specified by:
  `find` in interface `org.apache.wiki.api.spi.SessionSPI`

### guest

public org.apache.wiki.api.core.Session guest(org.apache.wiki.api.core.Engine engine)

Specified by:
  `guest` in interface `org.apache.wiki.api.spi.SessionSPI`